Дошли сегодня руки поставить  sql server 2008.

ставлю, а майор Томин мне и говорит

"rule previous releases of Microsoft Visual Studio 2008" falied.

A previous release of Microsoft Visual Studio 2008 is installed on this computer. Upgrade Microsoft Visual Studio 2008 to the SP1 before installing SQL Server 2008.

смотрю - вроде бы я ставил sp1? Ставлю заново, ставлю sp1 для .net 3.5 framework - та же ерунда.

Что такое? лезу в интернет.

нахожу что один умный товарищ уже про это написал.

Аааа! Сказали сибирские уральские  мужики! Надо снести visual studio shell и visual studio tools for applications!

Сношу, ставлю заново - опять та же ерунда!

Начал внимательно читать пост, там сказано что нужен еще sp1 для visual studio express. Ага! Сказали сибирские уральские мужики, вот оно что!

В общем снес express версии, решил что это проще, в итоге наконец sql у меня ставится.

Ура! Победа разума над машиной!